# AuxModel (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.data
Interface AuxModel

All Superinterfaces:
  Cloneable, com.threerings.io.Streamable

All Known Implementing Classes:
  SpotSceneModel, StageMisoSceneModel

    public interface AuxModel

extends com.threerings.io.Streamable, Cloneable

An interface that must be implemented by auxiliary scene models.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Method Summary
`AuxModel` `clone()` Creates a clone of this auxiliary model.

Method Detail

### clone

    AuxModel clone()
                   throws CloneNotSupportedException

  Creates a clone of this auxiliary model.

  Throws:
    `CloneNotSupportedException`

Copyright © 2011. All Rights Reserved.